Subscription endpoints allow you to review, compare, and manage subscriptions and their related links to assets (i.e., filters, config modifiers, translation sets).
You must be a member of the environment and be assigned to an engineer role to manage subscriptions. Learn about roles.
Compare subscriptions
Compare the linked assets of the selected staging and production environments. Each asset is reported with its status, content, and links. Both subscriptions must belong to your organization.
cURL request example
Query Parameters
- fromrequired, number
Identifies the subscription to compare from (typically the staging subscription).
- torequired, number
Identifies the subscription to compare to (typically the production subscription).
- metaobject
- versionstring
Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.
- payloadobject
- comparisonobject
- fromobject
Describes one of the two subscriptions being compared.
- subscriptionobject
- idnumber
Displays the unique identifier of the subscription.
- namenullable, string
Displays the human-readable name of the subscription.
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- environmentIdstring
Contains the unique identifier of the Redox environment.
Format: uuid - environmentFlagstring
Indicates whether the environment is used for development, staging, or production.
Possible Values:Production,Staging,Development
- sourceobject
- idstring
Contains the unique identifier of the source.
Format: uuid - namestring
Displays the name of the source.
- destinationobject
- idstring
Contains the unique identifier of the destination.
Format: uuid - namestring
Displays the name of the destination.
- toobject
Describes one of the two subscriptions being compared.
- subscriptionobject
- idnumber
Displays the unique identifier of the subscription.
- namenullable, string
Displays the human-readable name of the subscription.
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- environmentIdstring
Contains the unique identifier of the Redox environment.
Format: uuid - environmentFlagstring
Indicates whether the environment is used for development, staging, or production.
Possible Values:Production,Staging,Development
- sourceobject
- idstring
Contains the unique identifier of the source.
Format: uuid - namestring
Displays the name of the source.
- destinationobject
- idstring
Contains the unique identifier of the destination.
Format: uuid - namestring
Displays the name of the destination.
- assetsobject
Contains the compared assets grouped by type.
- filtersArray of object
- kindstringValue:
filter - statusstring
Indicates how an asset differs between the two subscriptions.
in-sync: the asset has been promoted and the two sides match.different: the asset has been promoted but the two sides differ, in content or in link settings.from-only: the asset exists only on thefromside and has never been promoted to thetoenvironment.to-only: the asset exists only on thetoside.promoted-not-linked: the asset has been promoted to thetoenvironment, andtodescribes that promoted asset, but it is not linked to thetosubscription.Possible Values:in-sync,different,from-only,to-only,promoted-not-linked - fromnullable, object
Describes the asset on one side of the comparison. Set to
nullwhen the asset is absent on that side.- idstring
Contains the unique identifier of the asset.
Format: uuid - namestring
Contains the human-readable name of the asset.
- versionnumber
Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated.
- createdAtnullable, stringFormat: date-time
- createdBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- updatedAtnullable, stringFormat: date-time
- updatedBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- contentobject
Contains the fields of the filter that define it, independent of any link.
- namestring
Contains the human-readable name of the asset.
- actionstring
Defines what action should be performed when the filter is applied to a message.
Possible Values:block-all,send - rulesArray of object
Contains a list of rules that determine when the filter is applied to a message. A filter is only applied if ALL rules are met.
- pathstring
Specifies the path to the field(s) that should be evaluated when the filter is applied. This should be a
jsonpathvalue. - valuesArray of string
Contains an array of string values that are matched against the path value when the rule is evaluated.
- allowListboolean
Indicates whether the rule is an allow-list (matches when the value at the specified path is in the values array) or a deny-list (matches when the value at the specified path is NOT in the values array). Defaults to
true(allow-list).
- pathTypestring
Specifies the format of the field paths defined for this filter's rules. Both FHIR and data model filters use the
jsonpathpath type.Value:jsonpath - expectedDataModelnullable, string
- usageArray of object
Contains details about where the filter is being used.
- linkIdstring
Contains the unique identifier of the link for a specified asset.
Format: uuid - organizationobject
Describes the Redox organization that the asset belongs to.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization the asset is connected to when the subscription relates to a partner organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- subscriptionobject
- idstring
Contains the unique identifier of the subscription.
Format: uuid - dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- sourceobject
Specifies the source of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the source.
Format: uuid - namenullable, string
Specifies the name of the source.
- destinationobject
Specifies the destination of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the destination.
Format: uuid - namenullable, string
Specifies the name of the destination.
- filterIdstring
Contains the unique identifier of the asset being linked.
Format: uuid - versionstring
Contains the API schema version used for this asset.
- eventTypenullable, string
Specifies the specific event type for a data model that the link applies to or should apply to.
- createdAtstring
Displays the date and time that the asset was originally created in ISO 8601 format.
- createdByobject
Contains the metadata about the user who created the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- updatedAtstring
Displays the date and time that the asset was last updated in ISO 8601 format.
- updatedByobject
Contains the metadata about the user who last updated the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- deletedAtnullable, string
Displays the date and time that the asset was deleted. Returns a
nullvalue if the asset hasn't been deleted. - deletedBynullable, object
Contains the metadata about the user who deleted the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- tonullable, object
Describes the asset on one side of the comparison. Set to
nullwhen the asset is absent on that side.- idstring
Contains the unique identifier of the asset.
Format: uuid - namestring
Contains the human-readable name of the asset.
- versionnumber
Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated.
- createdAtnullable, stringFormat: date-time
- createdBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- updatedAtnullable, stringFormat: date-time
- updatedBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- contentobject
Contains the fields of the filter that define it, independent of any link.
- namestring
Contains the human-readable name of the asset.
- actionstring
Defines what action should be performed when the filter is applied to a message.
Possible Values:block-all,send - rulesArray of object
Contains a list of rules that determine when the filter is applied to a message. A filter is only applied if ALL rules are met.
- pathstring
Specifies the path to the field(s) that should be evaluated when the filter is applied. This should be a
jsonpathvalue. - valuesArray of string
Contains an array of string values that are matched against the path value when the rule is evaluated.
- allowListboolean
Indicates whether the rule is an allow-list (matches when the value at the specified path is in the values array) or a deny-list (matches when the value at the specified path is NOT in the values array). Defaults to
true(allow-list).
- pathTypestring
Specifies the format of the field paths defined for this filter's rules. Both FHIR and data model filters use the
jsonpathpath type.Value:jsonpath - expectedDataModelnullable, string
- usageArray of object
Contains details about where the filter is being used.
- linkIdstring
Contains the unique identifier of the link for a specified asset.
Format: uuid - organizationobject
Describes the Redox organization that the asset belongs to.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization the asset is connected to when the subscription relates to a partner organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- subscriptionobject
- idstring
Contains the unique identifier of the subscription.
Format: uuid - dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- sourceobject
Specifies the source of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the source.
Format: uuid - namenullable, string
Specifies the name of the source.
- destinationobject
Specifies the destination of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the destination.
Format: uuid - namenullable, string
Specifies the name of the destination.
- filterIdstring
Contains the unique identifier of the asset being linked.
Format: uuid - versionstring
Contains the API schema version used for this asset.
- eventTypenullable, string
Specifies the specific event type for a data model that the link applies to or should apply to.
- createdAtstring
Displays the date and time that the asset was originally created in ISO 8601 format.
- createdByobject
Contains the metadata about the user who created the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- updatedAtstring
Displays the date and time that the asset was last updated in ISO 8601 format.
- updatedByobject
Contains the metadata about the user who last updated the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- deletedAtnullable, string
Displays the date and time that the asset was deleted. Returns a
nullvalue if the asset hasn't been deleted. - deletedBynullable, object
Contains the metadata about the user who deleted the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- configModifiersArray of object
- kindstringValue:
configModifier - statusstring
Indicates how an asset differs between the two subscriptions.
in-sync: the asset has been promoted and the two sides match.different: the asset has been promoted but the two sides differ, in content or in link settings.from-only: the asset exists only on thefromside and has never been promoted to thetoenvironment.to-only: the asset exists only on thetoside.promoted-not-linked: the asset has been promoted to thetoenvironment, andtodescribes that promoted asset, but it is not linked to thetosubscription.Possible Values:in-sync,different,from-only,to-only,promoted-not-linked - fromnullable, object
Describes the asset on one side of the comparison. Set to
nullwhen the asset is absent on that side.- idstring
Contains the unique identifier of the asset.
Format: uuid - namestring
Contains the human-readable name of the asset.
- versionnumber
Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated.
- createdAtnullable, stringFormat: date-time
- createdBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- updatedAtnullable, stringFormat: date-time
- updatedBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- contentobject
Contains the fields of the config modifier that define it, independent of any link.
- namestring
Contains the human-readable name of the asset.
- selectornullable, string
Indicates the location(s) within the payload that this config modifier operates on.
- flavorstringPossible Values:
put,delete - schemanullable, object
Indicates how to build the value at the location the selector specifies.
- usageArray of object
Lists the config modifier's subscription links.
- ownedBystring
Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link.
Possible Values:source,destination - linkIdstring
Contains the unique identifier of the link for a specified asset.
Format: uuid - organizationobject
Describes the Redox organization that the asset belongs to.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization the asset is connected to when the subscription relates to a partner organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- processingLocationstring
Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.
Possible Values:source-request,destination-request,source-response,destination-response - subscriptionobject
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- sourceobject
Specifies the source of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the source.
Format: uuid - namenullable, string
Specifies the name of the source.
- destinationobject
Specifies the destination of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the destination.
Format: uuid - namenullable, string
Specifies the name of the destination.
- eventTypesArray of string
Specifies the event types of the given Redox data model that the link applies to. If
null, the config modifier is linked to all event types of the data model. - processingOrderobject
Contains the details for the processing order of the config modifiers linked to a given subscription.
- ordernullable, number
Specifies the order that the config modifiers should run at the given processing location.
- totalnumber
Displays the total number of config modifier links for the given subscription and processing location.
- tonullable, object
Describes the asset on one side of the comparison. Set to
nullwhen the asset is absent on that side.- idstring
Contains the unique identifier of the asset.
Format: uuid - namestring
Contains the human-readable name of the asset.
- versionnumber
Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated.
- createdAtnullable, stringFormat: date-time
- createdBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- updatedAtnullable, stringFormat: date-time
- updatedBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- contentobject
Contains the fields of the config modifier that define it, independent of any link.
- namestring
Contains the human-readable name of the asset.
- selectornullable, string
Indicates the location(s) within the payload that this config modifier operates on.
- flavorstringPossible Values:
put,delete - schemanullable, object
Indicates how to build the value at the location the selector specifies.
- usageArray of object
Lists the config modifier's subscription links.
- ownedBystring
Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link.
Possible Values:source,destination - linkIdstring
Contains the unique identifier of the link for a specified asset.
Format: uuid - organizationobject
Describes the Redox organization that the asset belongs to.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization the asset is connected to when the subscription relates to a partner organization.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- processingLocationstring
Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.
Possible Values:source-request,destination-request,source-response,destination-response - subscriptionobject
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- sourceobject
Specifies the source of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the source.
Format: uuid - namenullable, string
Specifies the name of the source.
- destinationobject
Specifies the destination of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the destination.
Format: uuid - namenullable, string
Specifies the name of the destination.
- eventTypesArray of string
Specifies the event types of the given Redox data model that the link applies to. If
null, the config modifier is linked to all event types of the data model. - processingOrderobject
Contains the details for the processing order of the config modifiers linked to a given subscription.
- ordernullable, number
Specifies the order that the config modifiers should run at the given processing location.
- totalnumber
Displays the total number of config modifier links for the given subscription and processing location.
- translationSetsArray of object
- kindstringValue:
translationSet - statusstring
Indicates how an asset differs between the two subscriptions.
in-sync: the asset has been promoted and the two sides match.different: the asset has been promoted but the two sides differ, in content or in link settings.from-only: the asset exists only on thefromside and has never been promoted to thetoenvironment.to-only: the asset exists only on thetoside.promoted-not-linked: the asset has been promoted to thetoenvironment, andtodescribes that promoted asset, but it is not linked to thetosubscription.Possible Values:in-sync,different,from-only,to-only,promoted-not-linked - fromnullable, object
Describes the asset on one side of the comparison. Set to
nullwhen the asset is absent on that side.- idstring
Contains the unique identifier of the asset.
Format: uuid - namestring
Contains the human-readable name of the asset.
- versionnumber
Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated.
- createdAtnullable, stringFormat: date-time
- createdBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- updatedAtnullable, stringFormat: date-time
- updatedBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- contentobject
Contains the fields of the translation set that define it, including every translation.
- namestring
Contains the human-readable name of the asset.
- fromValueSetNamestring
- toValueSetNamestring
- isCaseSensitiveboolean
- translationsArray of object
- fromValuestring
- toValuestring
- usageArray of object
Lists the translation set's subscription links.
- linkIdstring
Contains the unique identifier of the link for a specified asset.
Format: uuid - subscriptionobject
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- sourceobject
Specifies the source of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the source.
Format: uuid - namenullable, string
Specifies the name of the source.
- destinationobject
Specifies the destination of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the destination.
Format: uuid - namenullable, string
Specifies the name of the destination.
- expectedDataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- directionstring
Indicates the direction in which the translation set is or should be linked. This can be either
from-to(translates a "from" value into a "to" value), orto-from(tranlates a "to" value into a "from" value).Possible Values:from-to,to-from - processingLocationstring
Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.
Possible Values:source-request,destination-request,source-response,destination-response - pathsArray of object
Lists the field paths linked to a translation set. These paths must be unique on the path property.
- dataTypestring
Describes the format of the data found at the path location.
- titlestring
Specifies a human-readable title for the field path.
- pathstring
Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid.
- organizationobject
Describes the Redox organization that the asset belongs to.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization at the other side of the subscription that an asset is or should be linked to.
- idrequired, number
Contains the unique identifier of the Redox organization.
- versionstring
Specifies the version of the translation set link. Right now this will always be '1.0.0'.
Value:1.0.0 - createdAtstring
Displays the date and time that the asset was originally created in ISO 8601 format.
- createdByobject
Contains the metadata about the user who created the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- updatedAtstring
Displays the date and time that the asset was last updated in ISO 8601 format.
- updatedByobject
Contains the metadata about the user who last updated the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- deletedAtnullable, string
Displays the date and time that the asset was deleted. Returns a
nullvalue if the asset hasn't been deleted. - deletedBynullable, object
Contains the metadata about the user who deleted the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- tonullable, object
Describes the asset on one side of the comparison. Set to
nullwhen the asset is absent on that side.- idstring
Contains the unique identifier of the asset.
Format: uuid - namestring
Contains the human-readable name of the asset.
- versionnumber
Contains the numeric version of the asset. Version numbers start at 1 and increment in whole numbers whenever the asset is updated.
- createdAtnullable, stringFormat: date-time
- createdBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- updatedAtnullable, stringFormat: date-time
- updatedBynullable, object
Contains metadata about the user.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- emailnullable, string
Displays the user's email address.
- contentobject
Contains the fields of the translation set that define it, including every translation.
- namestring
Contains the human-readable name of the asset.
- fromValueSetNamestring
- toValueSetNamestring
- isCaseSensitiveboolean
- translationsArray of object
- fromValuestring
- toValuestring
- usageArray of object
Lists the translation set's subscription links.
- linkIdstring
Contains the unique identifier of the link for a specified asset.
Format: uuid - subscriptionobject
- dataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- sourceobject
Specifies the source of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the source.
Format: uuid - namenullable, string
Specifies the name of the source.
- destinationobject
Specifies the destination of the subscription that an asset is or should be linked to.
- idrequired, string
Contains the unique identifier of the destination.
Format: uuid - namenullable, string
Specifies the name of the destination.
- expectedDataModelstring
Specifies the Redox data model that the link applies to or should apply to.
- directionstring
Indicates the direction in which the translation set is or should be linked. This can be either
from-to(translates a "from" value into a "to" value), orto-from(tranlates a "to" value into a "from" value).Possible Values:from-to,to-from - processingLocationstring
Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.
Possible Values:source-request,destination-request,source-response,destination-response - pathsArray of object
Lists the field paths linked to a translation set. These paths must be unique on the path property.
- dataTypestring
Describes the format of the data found at the path location.
- titlestring
Specifies a human-readable title for the field path.
- pathstring
Specifies the path in a message to the location of the data to be translated. The path must always start with a $ to be considered valid.
- organizationobject
Describes the Redox organization that the asset belongs to.
- idnumber
Contains the unique identifier of the Redox organization.
- namenullable, string
Contains the human-readable name of the Redox organization.
- connectingOrganizationobject
Specifies the organization at the other side of the subscription that an asset is or should be linked to.
- idrequired, number
Contains the unique identifier of the Redox organization.
- versionstring
Specifies the version of the translation set link. Right now this will always be '1.0.0'.
Value:1.0.0 - createdAtstring
Displays the date and time that the asset was originally created in ISO 8601 format.
- createdByobject
Contains the metadata about the user who created the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- updatedAtstring
Displays the date and time that the asset was last updated in ISO 8601 format.
- updatedByobject
Contains the metadata about the user who last updated the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.
- deletedAtnullable, string
Displays the date and time that the asset was deleted. Returns a
nullvalue if the asset hasn't been deleted. - deletedBynullable, object
Contains the metadata about the user who deleted the asset.
- idnumber
Contains the unique identifier of the user.
- namenullable, string
Displays the user's full name.